Aggiornamento da HOARY A BREEZY: PROBLEMI

Problemi riscontrati durante l'installazione di Ubuntu, degli aggiornamenti e degli avanzamenti del sistema.
AGM
Prode Principiante
Messaggi: 163
Iscrizione: venerdì 8 luglio 2005, 17:21

Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da AGM »

Salve a tutti.
Premetto che non sono un esperto di Linux.

Ieri ho voluto aggiornate la mia Ubuntu Hoary a Breezy.
Cosa ho fatto: ho modicato i repositories mettendo al posto di "Hoary" "Breezy"
Poi da terminale ho dato un bel sudo apt-get update
e poi sudo apt-get dist-upgrade

Ha iniziato a scaricare i nuovi pacchetti e sostituire i file vecchi con quelli nuovi.

Finito l'upgrade sembra essere andato tutto per il meglio..... allora riavvio ma quando carica il SO dove dice "Starting gnome display manager" mi da un bel FAIL

Inoltre:

"Configuring network interfaces"
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

"Creating initial device nodes"
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory


Insomma il risultato è che non parte l'interfaccia grafica.....

che devo fare ?

grazie a tutti

AGM  :-\
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

Se arrivi al login, in modalità non grafica, prova a dare:
sudo dpkg-reconfigure xserver-xorg
Se c'è il server lo riconfigura. Se non è riuscito a reinstallarlo, a me capitò, reinstallalo:
sudo apt-get install xserver-xorg

Dopo ridai:
sudo apt-get update
sudo apt-get dist-upgrade
Controlla che installi tutti i pacchetti. Segui i messaggi che ti da e se vedi che ad un certo punto non sovrascrive qualche file, faglielo fare manualmente (sudo dpkg -i --force overwrite /percorso/pacchetto) e rifai il dist-upgrade (magari con: sudo aptitude dist-upgrade)

ciao
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
Avatar utente
Alessio
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 423
Iscrizione: sabato 5 febbraio 2005, 11:25

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da Alessio »

Se non arrivi al login avvia il kernel in safe mode, scegliendo al seconda istanza nel grub
"Gli farò una proposta che non potrà rifiutare…”
AGM
Prode Principiante
Messaggi: 163
Iscrizione: venerdì 8 luglio 2005, 17:21

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da AGM »

pierba ha scritto: Se arrivi al login, in modalità non grafica, prova a dare:
sudo dpkg-reconfigure xserver-xorg
Se c'è il server lo riconfigura. Se non è riuscito a reinstallarlo, a me capitò, reinstallalo:
sudo apt-get install xserver-xorg

Dopo ridai:
sudo apt-get update
sudo apt-get dist-upgrade
Controlla che installi tutti i pacchetti. Segui i messaggi che ti da e se vedi che ad un certo punto non sovrascrive qualche file, faglielo fare manualmente (sudo dpkg -i --force overwrite /percorso/pacchetto) e rifai il dist-upgrade (magari con: sudo aptitude dist-upgrade)

ciao
sì, riesco ad arrivare al login.
Ho dato il comando sudo dpkg-reconfigure xserver-xorg ma dice che non c'è.
Allora sudo apt-get install xserver-xorg , ma credo di avere problemi con i repositories. Infatti i backports mi danno errore.

Non c'è qualche anima pia che potrebbe postare i suoi repositories aggiornati a breezy ?

Inoltre per i pacchetti in ITA che comando devo dare ?

Grazie mille

AGM  :)
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

deb http://security.ubuntu.com/ubuntu breezy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted universe multiverse

deb http://it.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse

deb http://it.archive.ubuntu.com/ubuntu breezy main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu breezy main restricted universe multiverse
I pacchetti di localizzazione italiana sono:
language-pack-gnome-it (o kde)
language-pack-gnome-it-base (o kde)
language-pack-it
language-pack-it-base
language-support-it

ciao
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
Avatar utente
twilight
Imperturbabile Insigne
Imperturbabile Insigne
Messaggi: 3849
Iscrizione: giovedì 17 febbraio 2005, 16:29
Località: L'Aquila
Contatti:

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da twilight »

vi ricordo che in breezy e' stato introdotto un ottimo strumento per la localizzazione: language-selector, e' nella sezione main dei repositories. ciao
AGM
Prode Principiante
Messaggi: 163
Iscrizione: venerdì 8 luglio 2005, 17:21

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da AGM »

Continuo ad avere probleami...... :-\ :-\ :'(

ho sostituito tutti i repositories con quelli postati gentilmente da pierba

ma quanto lancio sudo apt-get update

ad un certo punto mi dice :

"Failed to fetch security.ubuntu.com/ubuntu/dists/breezy-security/Release Unable to find expected entry mian/binary - i38/Packages in Meta-index file (malformed Release file?)"

Che faccio ??

Help me please.....
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

prova con aptitude:
sudo aptitude update.

Hai fatto il copia/incolla o hai riscritto? Potrebbe essere che uno spazio non sia stato battuto. Quel sources.list è perfettamente funzionante, non solo a me.

ciao
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
AGM
Prode Principiante
Messaggi: 163
Iscrizione: venerdì 8 luglio 2005, 17:21

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da AGM »

Sono riuscito ad avviare l'interfaccia grafica.... e l'aggiornamento alla 5.10 è riuscito perfettamente.

L'unica cosa è che non funziona synaptic o apt

Premetto che /ect/apt/sources.list contiene questo:

deb cdrom:[Ubuntu 5.10 _Breezy Badger_ - Release Candidate i386 (20051005)]/ breezy main restricted

deb http://security.ubuntu.com/ubuntu breezy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted universe multiverse

deb http://it.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse

deb http://it.archive.ubuntu.com/ubuntu breezy main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu breezy main restricted universe multiverse


L'errore è il seguente:

Impossibile scaricare gli indici di tutti gli archivi

L'archivio potrebbe non essere più disponibile o non contattabile per problemi alla rete. Se disponibile, verrà utilizzata una vecchia versione dell'indice, altrimenti l'archivio verrà ignorato. Controllare la connessione di rete e la scrittura corretta dell'indirizzo dell'archivio nelle preferenze.

http://security.ubuntu.com/ubuntu/dists ... elease.gpg
http://it.archive.ubuntu.com/ubuntu/dis ... elease.gpg
http://it.archive.ubuntu.com/ubuntu/dis ... elease.gpg




I seguenti problemi sono stati trovati nel sistema:

W: Impossibile controllare la lista dei pacchetti sorgente http://security.ubuntu.com breezy-security/main Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_breezy-security_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://security.ubuntu.com breezy-security/restricted Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_breezy-security_restricted_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://security.ubuntu.com breezy-security/universe Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_breezy-security_universe_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://security.ubuntu.com breezy-security/multiverse Packages (/var/lib/apt/lists/security.ubuntu.com_ubuntu_dists_breezy-security_multiverse_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy-updates/main Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy-updates_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy-updates/restricted Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy-updates_restricted_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy-updates/universe Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy-updates_universe_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy-updates/multiverse Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy-updates_multiverse_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy/main Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy/restricted Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy_restricted_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy/universe Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy_universe_binary-i386_Packages) - stat (2 No such file or directory)
W: Impossibile controllare la lista dei pacchetti sorgente http://it.archive.ubuntu.com breezy/multiverse Packages (/var/lib/apt/lists/it.archive.ubuntu.com_ubuntu_dists_breezy_multiverse_binary-i386_Packages) - stat (2 No such file or directory)


Grazie a chi mi darà una mano.....

AGM
Ultima modifica di AGM il giovedì 13 ottobre 2005, 18:14, modificato 1 volta in totale.
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

Potrebbe dipendere da un sovraffollamento dei server, neanch'io oggi pomeriggio sono riuscito a connettermi.
Comunque ti conviene commentare o cancellare la prima riga del file sources.list, quella relativa al cdrom (i pacchetti che stanno li sono stati aggiornati)

ciao, Pietro
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
Dgames
Prode Principiante
Messaggi: 8
Iscrizione: giovedì 29 settembre 2005, 20:19

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da Dgames »

Non è possibile fare l'aggiornamento col cd della 5.10?? ho provato a farlo partire ma mi vuole far fare una nuova installazione...
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

Quale cd? Se è quello distribuito con una rivista corrisponde alla coloni4 di circa tre/quattro settimane fa, non aggiornata ed instabile, se lo hai scaricato ieri puoi farlo con:
sudo apt-cdrom add
sudo apt-get update && sudo apt-get dist-upgrade
consiglio comunque di provare nei prossimi giorni quando i server saranno meno intasati.

ciao
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
Dgames
Prode Principiante
Messaggi: 8
Iscrizione: giovedì 29 settembre 2005, 20:19

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da Dgames »

Grazie lo faccio subito
Dgames
Prode Principiante
Messaggi: 8
Iscrizione: giovedì 29 settembre 2005, 20:19

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da Dgames »

Ho fatto l'installazione però temo c siano dei repository che fanno casino, ne ho dovuti commentare 2 altrimenti non mi funzionava l'apt-get, il risultato è che appena tanto di usare qualcosa di grafico tipo il menù crasha tutto.
Mi postate il contenuto del source.list della breezy?

Grazie 1000
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

deb http://security.ubuntu.com/ubuntu breezy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu breezy-security main restricted universe multiverse

deb http://it.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu breezy-updates main restricted universe multiverse

deb http://it.archive.ubuntu.com/ubuntu breezy main restricted universe multiverse
deb-src http://it.archive.ubuntu.com/ubuntu breezy main restricted universe multiverse
Se rimangono i problemi, prova a riconfigurare l'xserver:
sudo dpkg-reconfigure xserver-xorg

ciao
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
Dgames
Prode Principiante
Messaggi: 8
Iscrizione: giovedì 29 settembre 2005, 20:19

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da Dgames »

Ora provo con questi rep. spero di risolvere anche i problemi i browser: internet si vede tutto a trattini
sbarrax
Prode Principiante
Messaggi: 1
Iscrizione: domenica 26 giugno 2005, 23:52
Località: San Rocco al Porto (LO)
Contatti:

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da sbarrax »

avevo gli stessi sintomi anch'io, ma probabilmente il crash in vari punti dell' aptitude dist-upgrade lasciava "in bilico" l'installazione di tutto il resto

ho fatto una scelta minimalista... ho tolto dal sources.list, giusto per il primo dist-upgrade, i multiverse e universe, e l'aggiornamento è andato a buon fine

temo che nel mio caso ci sia stato anche un'inquinamento da parte di repository di backports che facevano sclerare apt

grazie a tutti per gli spunti preziosi... è stato un altro aggiornamento vincente ;) grande ubuntu!
Marco Frattola

Fellow of FSFE
bakk
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 288
Iscrizione: venerdì 1 aprile 2005, 13:41

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da bakk »

AGM ha scritto: Salve a tutti.
Premetto che non sono un esperto di Linux.

Ieri ho voluto aggiornate la mia Ubuntu Hoary a Breezy.
Cosa ho fatto: ho modicato i repositories mettendo al posto di "Hoary" "Breezy"
Poi da terminale ho dato un bel sudo apt-get update
e poi sudo apt-get dist-upgrade

Ha iniziato a scaricare i nuovi pacchetti e sostituire i file vecchi con quelli nuovi.

Finito l'upgrade sembra essere andato tutto per il meglio..... allora riavvio ma quando carica il SO dove dice "Starting gnome display manager" mi da un bel FAIL

Inoltre:

"Configuring network interfaces"
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory

"Creating initial device nodes"
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory


Insomma il risultato è che non parte l'interfaccia grafica.....

che devo fare ?

grazie a tutti

AGM  :-\

ho lo stessissimo problema....solo che non ho risolto. ora vi spiego:

1) Sostituito nel sources.list la parola hoary con breezy
2) apt-get update    (alcuni repository nn li raggiungeva)
3) apt-get dist-upgrade    (nel mentre aggiornava il tutto ogni tanto se ne usciva con dei warning del perl)
4) riavvio e mi da problemi come quelli di AMG citati sopra riuscendo anke io ad arrivare al solo login testuale



a questo punto ho seguito un pò il thread ma:
1)metto i repository postati da pierba
2) do un  sudo apt-get install xserver-xorg ma mi dice che xserver-xorg è già all'ultima versione, poi continua ancora dicendo

Codice: Seleziona tutto

The following packages have unmet dependencies:
qt3-qtconfig: Depends: libqt3-mt (>=3:3.3.4) but is not going to be installed

ubuntu-base: Depends: ubuntu-minimal but is not going to be installed
                   Depends: ubuntu-standard but is not going to be installed

valknut: Depends: libdc02 (< 0.3.7-99) but is not going to be installed
            Depensd: libdc02 (>=0.3.7-0) but is not going to be installed
            Depends libqt3-mt (>=3:3.3.4) but is not going to be installed

E: unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution)
ok...per ora ho tralasciato le librerie varie rinfrancato dal fatto che almeno xserver-xorg è istallato per cui continuo facendo sudo dpkg-reconfigure xserver-xorg e mi  dice

Codice: Seleziona tutto

perl: warning: Setting locale failed
perl: warning: Please check that your locale settings:
           LANGUAGE = "it_IT",
           LC_ALL = (unset),
           LANG = "it_IT.UTF-8"
are supported and installed on your system
perl: warning: Falling back to the standard locale ("C")
locale: Cannot set LC_TYPE to default   locale: NO succh file or directory
locale: Cannot set LC_MESSAGES to default   locale: NO succh file or directory
locale: Cannot set LC_ALL to default   locale: NO succh file or directory
/usr/sbin/dpkg-reconfigure: xserver-xorg is broken or not fully installed.
che devo fare? perpiacere aiutatemi...non fatemi reistallare tutto!!  :'( :'(
Avatar utente
ecio
Scoppiettante Seguace
Scoppiettante Seguace
Messaggi: 346
Iscrizione: venerdì 23 dicembre 2005, 12:40
Località: Bologna
Contatti:

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da ecio »

pierba ha scritto: Quale cd? Se è quello distribuito con una rivista corrisponde alla coloni4 di circa tre/quattro settimane fa, non aggiornata ed instabile, se lo hai scaricato ieri puoi farlo con:
sudo apt-cdrom add
sudo apt-get update && sudo apt-get dist-upgrade
consiglio comunque di provare nei prossimi giorni quando i server saranno meno intasati.

ciao
ok,ho installato da cd con
sudo aptcdrom add
poi per essere sicuro che mi aggiornasse ubuntu da 5.04 a 5.10 solo dal cd ho disabilitato gli archivi dove scaricare l'aggiornamento.
il problema è che ora gli archivi sono ancora della versione 5.04. Come faccio a mettere quelli della breezy?
con il comando
sudo /etc/apt/sources.list.    ?
ok, e se dandolo da terminale non mi facesse entrare nella lista?
e se provando ad aprire dalle cartelle (con il mouse) non me le facesse modifcare?
Dove sbaglio?
grazie.
eciao
due pezzi di nebbia si incontrano, e uno dice: "ciao, ti ricordi di me, eravamo in banco assieme..."

http://strabilia.myminicity.com/
http://strabilia.myminicity.com/ind
Avatar utente
pierba
Tenace Tecnocrate
Tenace Tecnocrate
Messaggi: 14532
Iscrizione: sabato 26 febbraio 2005, 19:10

Re: Aggiornamento da HOARY A BREEZY: PROBLEMI

Messaggio da pierba »

sudo /etc/apt/sources.list
Manca l'editor di testo, devi aggiungerlo:

Codice: Seleziona tutto

sudo gedit /etc/apt/sources.list
ti apre il file con i permessi di amministratore, e puoi modificarlo secondo i tuoi desideri. Sopra come hai visto ci sono esempi di sources.list, il mio, fino ad ora, non ha dato problemi.
Se hai kde, l'editor di testo non è gedit, puoi usare nano.


ciao
Pietro pagina personale - Avete domande sul forum? Leggendo le FAQ: potreste trovare la risposta.
La conoscenza deve essere collettiva, quindi, come da regolamento (Sez. II punto 15) i messaggi personali contententi richieste di assistenza tecnica verranno ignorati.
Scrivi risposta

Ritorna a “Installazione e aggiornamento del sistema operativo”

Chi c’è in linea

Visualizzano questa sezione: 0 utenti iscritti e 12 ospiti